package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 附近小区实体
 */
public class AddressAreaEntity extends BaseEntity<List<AddressAreaEntity.InfoListBean>> implements Serializable{

    public static class InfoListBean implements Serializable {
        /** 平台巡点识别号 */
        private String addrCode;
        /** 地址 */
        private String address;
        /** 巡点与上传者之间的距离 */
        private String distance;

        public String getStreet() {
            return street;
        }

        public void setStreet(String street) {
            this.street = street;
        }


        /*街道*/
        private String street;

        public String getArea() {
            return area;
        }

        public void setArea(String area) {
            this.area = area;
        }

        public String getDisName() {
            return disName;
        }

        public void setDisName(String disName) {
            this.disName = disName;
        }

        /*社区*/
        private String area;
        /*区*/
        private String disName;

        private boolean isSelected;

        public boolean isSelected() {
            return isSelected;
        }

        public void setSelected(boolean selected) {
            isSelected = selected;
        }

        public String getAddrCode() {
            return addrCode;
        }

        public void setAddrCode(String addrCode) {
            this.addrCode = addrCode;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getDistance() {
            return distance;
        }

        public void setDistance(String distance) {
            this.distance = distance;
        }

        public String toStingTv(){
            return "原地址："+disName+street+area+"·"+address;
        }
    }


}
